This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 969453 - Error wiping device when formatting lvm in gnome disks
Error wiping device when formatting lvm in gnome disks
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 08:58 EDT by Lukas Brabec
Modified: 2015-01-13 08:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vgs output (99 bytes, text/plain)
2013-05-31 08:58 EDT, Lukas Brabec
no flags Details
lvs output (211 bytes, text/plain)
2013-05-31 08:58 EDT, Lukas Brabec
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 742847 None None None Never

  None (edit)
Description Lukas Brabec 2013-05-31 08:58:10 EDT
Created attachment 755257 [details]
vgs output

Description of problem:
I have standard installation of Fedora with lvm (in virtual machine). When trying to format (virtual) disk in Fedora 19 Live I get error:

Error wiping device: Command-line `wipefs -a "/dev/vda"' exited with non-zero exit status 1: wipefs: error: /dev/vda: probing initialization failed: Device or resource busy
 (udisks-error-quark, 0)

Fedora 19 Live activates lvm, but it is not recognized by gnome-disk-utility.
               

Steps to Reproduce:
1. Install Fedora 19, all default
2. Boot Fedora 19 Live
3. Format disk in Gnome Disks
Comment 1 Lukas Brabec 2013-05-31 08:58:49 EDT
Created attachment 755258 [details]
lvs output
Comment 2 Kamil Páral 2013-05-31 10:14:03 EDT
In other words, sometimes it is useful to be able to erase a disk which contains LVM partitions. However, gnome-disk-utility displays just a weird warning. It should either deactivate the volume group and erase the disk, or tell us (or somehow display) that the LVM partitions are in use (even though not mounted) and the user needs to manually deactivate the volume group first.
Comment 3 Fedora Admin XMLRPC Client 2014-05-01 10:46:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2015-01-09 13:16:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Kamil Páral 2015-01-13 07:59:57 EST
This also happens in Fedora 21.
Comment 6 Kamil Páral 2015-01-13 08:03:11 EST
Reported upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=742847

Note You need to log in before you can comment on or make changes to this bug.